import Vue from 'vue'
import store from './store/index'

import './app.scss'
import './iconfont.scss'

// Vue.config.productionTip = false

// 引入项目通用（顶层）方法对象
import ToolClass from './util/PublicMethod/index'
Vue.prototype.ToolClass = ToolClass

const App = new Vue({
  store,
  onShow (options) {
  },
  render(h) {
    // this.$slots.default 是将要会渲染的页面
    return h('block', this.$slots.default)
  }
})

export default App
